<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerHitConst.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerHitConst.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_hit_const_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ConstTrackerHit_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ConstTrackerHit_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_hit_obj_8h.html">eicd/TrackerHitObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">class </span>TrackerHit;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">class </span>TrackerHitCollection;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>TrackerHitCollectionIterator;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_hit.html">   24</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_hit.html">TrackerHit</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_hit_collection.html">TrackerHitCollection</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_hit_collection_iterator.html">TrackerHitCollectionIterator</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_hit.html#ad815795ccb0091739c481f38495ce614">ConstTrackerHit</a>();</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_hit.html#ad815795ccb0091739c481f38495ce614">ConstTrackerHit</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#a8f89933853f6010c81ab3feafeeb4c34">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#acaa535d68919cd03c140283a68fa3f50">cellID1</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#ac45f1c57989f7c318ec9ebcf8660a36f">time</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#adb6e9b8a90ac33cfe4603f7269b0dc4d">EDep</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#ae3e4c53b511ff9fc0282c21a723a797b">EDepError</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_const_tracker_hit.html#a73cc0ed65ef8b3d4c608f7a82bd8063e">position</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_const_tracker_hit.html#ab1759d9dc38256e0ed0208b6a54864c8">covMatrix</a>);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_hit.html#ad815795ccb0091739c481f38495ce614">ConstTrackerHit</a>(<a class="code" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a>* obj);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_hit.html#ad815795ccb0091739c481f38495ce614">ConstTrackerHit</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>&amp; other);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#a0b4c79b7d97bfa2be7b2139e4df8c75e">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>&amp; other);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> <a class="code" href="classeic_1_1_const_tracker_hit.html#a5f0ba54dc8341a1f5d54370fec1d7223">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_hit.html#a48df4f896fbe8426116d07cb86bf4635">~ConstTrackerHit</a>();</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#a8f89933853f6010c81ab3feafeeb4c34">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#acaa535d68919cd03c140283a68fa3f50">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#ac45f1c57989f7c318ec9ebcf8660a36f">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#adb6e9b8a90ac33cfe4603f7269b0dc4d">EDep</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#ae3e4c53b511ff9fc0282c21a723a797b">EDepError</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#a73cc0ed65ef8b3d4c608f7a82bd8063e">position</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#a73cc0ed65ef8b3d4c608f7a82bd8063e">position</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#ab1759d9dc38256e0ed0208b6a54864c8">covMatrix</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_tracker_hit.html#ab1759d9dc38256e0ed0208b6a54864c8">covMatrix</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#ace5c0ea4a0ac5595c7702ba44cb73f1c">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_hit.html#aa784d0027dfc047ef8b455727cfab84d">   83</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#aa784d0027dfc047ef8b455727cfab84d">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_hit.html#adff7f2b4ed2c768d697a73f2edb70099">   85</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#adff7f2b4ed2c768d697a73f2edb70099">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#adff7f2b4ed2c768d697a73f2edb70099">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_hit.html#a3952f80ebc062844112c6fa7ac26b17a">   89</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#a3952f80ebc062844112c6fa7ac26b17a">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_hit.html#ab68fadf03cc008167de33c742bab4595">   91</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#ab68fadf03cc008167de33c742bab4595">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_tracker_hit.html#aa755d1654f85cb339d336f72211dc526">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_const_tracker_hit.html#aa755d1654f85cb339d336f72211dc526">getObjectID</a>().index; }</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_tracker_hit.html#aa755d1654f85cb339d336f72211dc526">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a>* m_obj;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;};</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_const_tracker_hit_html_a73cc0ed65ef8b3d4c608f7a82bd8063e"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#a73cc0ed65ef8b3d4c608f7a82bd8063e">eic::ConstTrackerHit::position</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; position() const</div><div class="ttdoc">Access the position. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00057">TrackerHitConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_ae3e4c53b511ff9fc0282c21a723a797b"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#ae3e4c53b511ff9fc0282c21a723a797b">eic::ConstTrackerHit::EDepError</a></div><div class="ttdeci">const float &amp; EDepError() const</div><div class="ttdoc">Access the error on EDep. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00056">TrackerHitConst.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_aa784d0027dfc047ef8b455727cfab84d"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#aa784d0027dfc047ef8b455727cfab84d">eic::ConstTrackerHit::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackerHitObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8h_source.html#l00083">TrackerHitConst.h:83</a></div></div>
<div class="ttc" id="_tracker_hit_obj_8h_html"><div class="ttname"><a href="_tracker_hit_obj_8h.html">TrackerHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_tracker_hit.html">eic::TrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8h_source.html#l00026">TrackerHit.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_hit_collection.html">eic::TrackerHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_collection_8h_source.html#l00050">TrackerHitCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_hit_obj.html">eic::TrackerHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_obj_8h_source.html#l00018">TrackerHitObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_aa755d1654f85cb339d336f72211dc526"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#aa755d1654f85cb339d336f72211dc526">eic::ConstTrackerHit::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00074">TrackerHitConst.cc:74</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_ab68fadf03cc008167de33c742bab4595"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#ab68fadf03cc008167de33c742bab4595">eic::ConstTrackerHit::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8h_source.html#l00091">TrackerHitConst.h:91</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_a0b4c79b7d97bfa2be7b2139e4df8c75e"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#a0b4c79b7d97bfa2be7b2139e4df8c75e">eic::ConstTrackerHit::operator=</a></div><div class="ttdeci">ConstTrackerHit &amp; operator=(const ConstTrackerHit &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00035">TrackerHitConst.cc:35</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_a48df4f896fbe8426116d07cb86bf4635"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#a48df4f896fbe8426116d07cb86bf4635">eic::ConstTrackerHit::~ConstTrackerHit</a></div><div class="ttdeci">~ConstTrackerHit()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00049">TrackerHitConst.cc:49</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_ac45f1c57989f7c318ec9ebcf8660a36f"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#ac45f1c57989f7c318ec9ebcf8660a36f">eic::ConstTrackerHit::time</a></div><div class="ttdeci">const long long &amp; time() const</div><div class="ttdoc">Access the The time of the hit. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00054">TrackerHitConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_ab1759d9dc38256e0ed0208b6a54864c8"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#ab1759d9dc38256e0ed0208b6a54864c8">eic::ConstTrackerHit::covMatrix</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; covMatrix() const</div><div class="ttdoc">Access the covMatrix. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00059">TrackerHitConst.cc:59</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8h_source.html#l00024">TrackerHitConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_a8f89933853f6010c81ab3feafeeb4c34"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#a8f89933853f6010c81ab3feafeeb4c34">eic::ConstTrackerHit::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00052">TrackerHitConst.cc:52</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_a3952f80ebc062844112c6fa7ac26b17a"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#a3952f80ebc062844112c6fa7ac26b17a">eic::ConstTrackerHit::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const ConstTrackerHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8h_source.html#l00089">TrackerHitConst.h:89</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_adb6e9b8a90ac33cfe4603f7269b0dc4d"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#adb6e9b8a90ac33cfe4603f7269b0dc4d">eic::ConstTrackerHit::EDep</a></div><div class="ttdeci">const float &amp; EDep() const</div><div class="ttdoc">Access the EDep. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00055">TrackerHitConst.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_ace5c0ea4a0ac5595c7702ba44cb73f1c"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#ace5c0ea4a0ac5595c7702ba44cb73f1c">eic::ConstTrackerHit::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00067">TrackerHitConst.cc:67</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_adff7f2b4ed2c768d697a73f2edb70099"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#adff7f2b4ed2c768d697a73f2edb70099">eic::ConstTrackerHit::operator==</a></div><div class="ttdeci">bool operator==(const ConstTrackerHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8h_source.html#l00085">TrackerHitConst.h:85</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_a5f0ba54dc8341a1f5d54370fec1d7223"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#a5f0ba54dc8341a1f5d54370fec1d7223">eic::ConstTrackerHit::clone</a></div><div class="ttdeci">ConstTrackerHit clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00045">TrackerHitConst.cc:45</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_tracker_hit_collection_iterator.html">eic::TrackerHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_collection_8h_source.html#l00029">TrackerHitCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_acaa535d68919cd03c140283a68fa3f50"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#acaa535d68919cd03c140283a68fa3f50">eic::ConstTrackerHit::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00053">TrackerHitConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html_ad815795ccb0091739c481f38495ce614"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html#ad815795ccb0091739c481f38495ce614">eic::ConstTrackerHit::ConstTrackerHit</a></div><div class="ttdeci">ConstTrackerHit()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8cc_source.html#l00016">TrackerHitConst.cc:16</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
